# Generated by Selenium IDE
import pytest
import time
import json
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.action_chains import ActionChains
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities

class TestGuiTests():
  # Sets up the Chromedriver that controls the browser
  def setup_method(self, method):
    self.driver = webdriver.Chrome("./Chromedriver.exe")
    self.vars = {}
  
  # Quits the driver
  def teardown_method(self, method):
    self.driver.quit()
  
  # Tests the navigation of the navbar
  def test_navigationTest(self):
    self.driver.get("http://theplantpla.net/")
    self.driver.set_window_size(1294, 776)
    self.driver.implicitly_wait(10)
    element = self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(3) > .MuiButton-label")
    self.driver.implicitly_wait(10)
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(3) > .MuiButton-label").click()
    self.driver.implicitly_wait(10)
    element = self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(4) > .MuiButton-label")
    actions = ActionChains(self.driver)
    self.driver.implicitly_wait(10)
    actions.move_to_element(element).perform()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(4) > .MuiButton-label").click()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(5) > .MuiButton-label").click()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(6) > .MuiButton-label").click()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButtonBase-root:nth-child(2) > .MuiButton-label").click()
    self.driver.implicitly_wait(10)
    #self.driver.close()

  
  # Tests the location model page
  def test_locationModelTest(self):
    self.driver.get("http://theplantpla.net/location")
    self.driver.set_window_size(1294, 776)
    element = self.driver.find_element(By.CSS_SELECTOR, ".MuiGrid-root:nth-child(6) .MuiButton-label")
    self.driver.implicitly_wait(10)
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiGrid-root:nth-child(6) .MuiButton-label").click()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "Piceance Twinpod").click()
    self.driver.implicitly_wait(10)
    self.driver.back()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "Demmia Alpine").click()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.close()
  
  # Tests the plant model page
  def test_plantModelTest(self):
    self.driver.get("http://theplantpla.net/plant")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.LINK_TEXT, "Alaska Whitlow-grass").click()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "Prairie Thread Meshweaver").click()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "Alberta").click()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.close()

  # Tests the Animal model page
  def test_animalModelTest(self):
    self.driver.get("http://theplantpla.net/animal")
    self.driver.set_window_size(1294, 1400)
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "Acadian Swordgrass Moth").click()
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "Peaty Dot Lichen").click()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.find_element(By.LINK_TEXT, "British Columbia").click()
    self.driver.implicitly_wait(10)
    self.driver.execute_script("window.scrollTo(0,0)")
    self.driver.implicitly_wait(10)
    self.driver.close()

  def test_aboutLinksTest(self):
    self.driver.get("http://theplantpla.net/about")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.LINK_TEXT, "Gitlab Repo").click()
    self.driver.back()
    self.driver.find_element(By.LINK_TEXT, "Postman API").click()
    self.driver.close()
  